summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-31 08:59:48 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-31 08:59:48 +0700
commitb1f60f39986316efeacbef4b9bdda4049e5ed7bb (patch)
tree35a029a7735dbb5fb654e9976adc263ff5bb88dd /network
parent6a6261ee0444d413c99a2ffb9ecd5542c7083317 (diff)
downloadslackbuilds-b1f60f39986316efeacbef4b9bdda4049e5ed7bb.tar.gz
slackbuilds-b1f60f39986316efeacbef4b9bdda4049e5ed7bb.tar.xz
network/megasync: Added (Mega Sync Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/megasync/README6
-rw-r--r--network/megasync/doinst.sh9
-rw-r--r--network/megasync/megasync.SlackBuild99
-rw-r--r--network/megasync/megasync.info10
-rw-r--r--network/megasync/slack-desc19
5 files changed, 143 insertions, 0 deletions
diff --git a/network/megasync/README b/network/megasync/README
new file mode 100644
index 0000000000..327ec07bcd
--- /dev/null
+++ b/network/megasync/README
@@ -0,0 +1,6 @@
+MEGAsync is an installable application that synchronizes folders
+between your computer and your MEGA cloud drive.
+
+All files and subfolders will be replicated both ways. Changes that
+you make on one side will appear on the other side in near real time
+(within the limits of link/system latency and file transfer times).
diff --git a/network/megasync/doinst.sh b/network/megasync/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/network/megasync/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/megasync/megasync.SlackBuild b/network/megasync/megasync.SlackBuild
new file mode 100644
index 0000000000..66739d15ad
--- /dev/null
+++ b/network/megasync/megasync.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for megasync
+
+# Copyright 2014 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=megasync
+VERSION=${VERSION:-1.0.37}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ DEBARCH="i386"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+ LIBDIRSUFFIX="64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -e
+
+# Get the real version
+REAL_VER=$(ar p megasync-Debian_7.0_${DEBARCH}.deb control.tar.gz | tar xzO ./control | grep Version | cut -d\ -f2 | cut -d- -f1)
+if [ "$VERSION" != "$REAL_VER" ]; then
+ echo "Version of downloaded source [$REAL_VER] does not match version of SlackBuild [$VERSION]"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/megasync-Debian_7.0_${DEBARCH}.deb data.tar.gz | gzip -d | tar xv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/megasync/changelog.gz $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# this is not yet created by cryptopp, but required here
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+(
+ cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -s /usr/lib${LIBDIRSUFFIX}/libcryptopp.so libcrypto++.so.9
+)
+
+# Reuse the icon
+mkdir -p $PKG/usr/share/pixmaps
+cp $PKG/usr/share/icons/hicolor/128x128/apps/mega.png $PKG/usr/share/pixmaps/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/megasync/megasync.info b/network/megasync/megasync.info
new file mode 100644
index 0000000000..15ab6d71db
--- /dev/null
+++ b/network/megasync/megasync.info
@@ -0,0 +1,10 @@
+PRGNAM="megasync"
+VERSION="1.0.37"
+HOMEPAGE="https://mega.co.nz"
+DOWNLOAD="http://sourceforge.net/projects/slackbuildsdirectlinks/files/megasync/megasync-Debian_7.0_i386.deb"
+MD5SUM="d774a057623014ca0190498dcdb6ce47"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/slackbuildsdirectlinks/files/megasync/megasync-Debian_7.0_amd64.deb"
+MD5SUM_x86_64="a4ec66f9f5d88964474488d4c07afead"
+REQUIRES="c-ares cryptopp"
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"
diff --git a/network/megasync/slack-desc b/network/megasync/slack-desc
new file mode 100644
index 0000000000..8a5bf70e93
--- /dev/null
+++ b/network/megasync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+megasync: megasync (Mega Sync Client)
+megasync:
+megasync: MEGAsync is an installable application that synchronizes folders
+megasync: between your computer and your MEGA cloud drive.
+megasync:
+megasync: All files and subfolders will be replicated both ways. Changes that
+megasync: you make on one side will appear on the other side in near real time
+megasync: (within the limits of link/system latency and file transfer times).
+megasync:
+megasync: Project URL: https://mega.co.nz/
+megasync: